<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Hausmeister\Raumbelegung\Raumdetails\Detailsreiter\RaumDetails;

use Kufer\Web\KuferTools\Utils\FilterSettings\IFilterSettings;
use Kufer\Web\KuferTools\Utils\FilterSettings\Kursorte\KursorteFilterSettingsHelper;

class ReiterRaumDetailsUseCase extends \Kufer\Web\KuferTools\Basis\Raumbelegung\Raumdetails\Detailsreiter\RaumDetails\ReiterRaumDetailsUseCase
{
  public function getActualSightId()
  {
    return 339;
  }

  public static function getToolSectionId()
  {
    return 17;
  }

  public static function getToolId()
  {
    return \ToolsAPI::TOOL_RAUMBELEGUNG_HM;
  }

  protected function createFilterSettings(): IFilterSettings
  {
    return KursorteFilterSettingsHelper::createHausmeisterRaumUebersicht($this->getUser(), $this->toolSettings);
  }

  
  protected function setToolAdresseAllowed()
  {
    $this->response->isAllowedToolAdresse = false;
  }
}